package intrinsic.mx.controls.listClasses;

public class TileBase extends intrinsic.mx.controls.listClasses.ListBase {

	/** Accessors */
	public int maxColumns;
	public int maxRows;
	public String direction;

	/** Variables */
	public boolean allowDragSelection;
	public boolean menuSelectionMode;
	public boolean liveScrolling;
	public boolean showScrollTips;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public TileBase() {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.controls.listClasses.IListItemRenderer createItemRenderer(Object arg0);
public native intrinsic.mx.core.IFactory getItemRendererFactory(Object arg0);
public native int itemRendererToIndex(intrinsic.mx.controls.listClasses.IListItemRenderer arg0);
public native void showDropFeedback(intrinsic.mx.events.DragEvent arg0);
public native double measureHeightOfItems();
public native double measureHeightOfItems(int arg0);
public native double measureHeightOfItems(int arg0, int arg1);
public native boolean scrollToIndex(int arg0);
public native intrinsic.mx.controls.listClasses.IListItemRenderer indexToItemRenderer(int arg0);
public native int indicesToIndex(int arg0, int arg1);
public native int calculateDropIndex();
public native int calculateDropIndex(intrinsic.mx.events.DragEvent arg0);
public native double measureWidthOfItems();
public native double measureWidthOfItems(int arg0);
public native double measureWidthOfItems(int arg0, int arg1);

}
